Application: gvSIG desktop - gvSIG bugs #3808
Proyectos con datos CAD
10/14/2015 05:53 PM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document view

Target version: 2.3.0-2407 (rev. org.gvsig.deskiop-2.0.110)

Severity: Blocker Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2406 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al intentar abrir un proyecto que contiene:

- Una Vista con dxf

- Una Vista con dgn

- Una Vista con dwg

...gvSIG se queda blogueado (trabajando) y no llega a cargar el proyecto.

Abriendo un proyecto vacio y cargando uno a uno los ficheros, ocurre lo siguiente:

- Vista con dxf: carga sélo los puntos (visualmente). Al ir a propiedades de la capa, pestafia simbologia...gvSIG da un error.

- Vista con dgn: tarda mucho, pero al final lo carga...aunque al igual que el dxf sélo los puntos. Propiedades/Simbologia...da error.
- Vista con dwg: aparece un mensaje que indica que no puede cargar el dwg

Associated revisions

Revision 42390 - 10/21/2015 09:18 PM - Joaquin del Cerro Murciano

refs #3808 .Corregido un error en setPoints de Arc2DZ que hacia que no se pudiesen crear arcos 2DZ.

Revision 42391 - 10/21/2015 09:35 PM - Joaquin del Cerro Murciano

refs #3808 .Corregido un error en la creacion de EllipticArc, se estaban creando cuerdas en lugar de superficies y fallaba al calcular su envelop ya que
se convertia a poligono de JTS para ello y no estaba cerrado.

Revision 77 - 10/21/2015 11:52 PM - Joaquin del Cerro Murciano

refs #3808 .Corregidos errores en la carga de DWG.

Revision 163 - 10/21/2015 11:54 PM - Joaquin del Cerro Murciano

refs #3808 .Corregidos la creacion de arcos desde el DGN y sustituido el acceso directo a GeneralPathX por llamadas al GeometryManager y uso del
interface IGeneralPathX
Revision 42392 - 10/21/2015 11:58 PM - Joaquin del Cerro Murciano

refs #3808 .Corregidos la implementacion de los metodos is3D y getDimension del AbstrctLine, estos fallaban sobre una linea sin vertices. Ademas se

ha anadido a Line, Polygon y Ring el interface lterable para iterar sobre los vertices y a Aggregate para iterar sobre las primitivas que compnen el

agregado.

Revision 89 - 10/29/2015 11:52 PM - Joaquin del Cerro Murciano

refs #3808, arreglado que si encuentra en un fichero 3D plilineas 2D no falle. Crea las Line 3D fijando las Z a cero.

History

#1 - 10/22/2015 12:07 AM - Joaquin del Cerro Murciano
- Target version changed from 98 to 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107)
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#2 - 10/22/2015 09:51 AM - Joaquin del Cerro Murciano
- gvSIG version changed from 2.2.0 to 2.3.0

#3 - 10/26/2015 05:42 PM - Alvaro Anguix

- Status changed from Fixed to New
- File v0813.dwg added

Con el build 2406 ya carga dxf y dgn, pero sigue dando error con dwg.

Adjunto el dwg con el que lo he comprobado (y que se leia correctamente en gvSIG 2.2 y anteriores)

#4 - 10/26/2015 05:42 PM - Alvaro Anguix
- gvSIG build changed from 2403 to 2406
- Target version changed from 2.3.0-2404 (rev. org.gvsig.desktop-2.0.107) to 98

#5 - 10/29/2015 11:54 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

En ese DWG gvSIG reconocia geometrias 3D pero algunas polilineas las reconoce como 2D y solo carga X e Y. Eso hacia que fallase al intentar

acceder a la Z. He dejado que si le ocurre esto, rellene las Z con cero.

#6 - 10/29/2015 11:58 PM - Joaquin del Cerro Murciano

- Target version changed from 98 to 2.3.0-2407 (rev. org.gvsig.desktop-2.0.110)

#7 - 11/02/2015 01:54 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 42.2 KB 10/14/2015 Alvaro Anguix
v0813.dwg 823 KB 10/26/2015 Alvaro Anguix
